# include "data.h"

int push (int argc, char **argv) {
  
  Queue *queue;

  if (argc != 3) {
    fprintf (stderr, "USAGE: push (queue) (value)\n");
    return (FALSE);
  }

  /* will create a queue if none exists */
  queue = CreateQueue (argv[1]);
  PushQueue (queue, argv[2]);
  return (TRUE);
}

